{-# LANGUAGE OverloadedStrings #-}

module Main where

import qualified Data.Text.IO as T
import Data.Text.Prettyprint.Doc (pretty)
import Text.Megaparsec (parse)
import Windows12.Parser (programP)
import System.Environment (getArgs)

main :: IO ()
main = do
  args <- getArgs

  if length args /= 2
    then putStrLn "Usage: windows12 <input file> <output file>"
    else do
      let [inputFile, outputFile] = args
      test <- T.readFile inputFile
      case parse programP inputFile test of
        Left err -> print err
        Right ast -> print (pretty ast)
